# $Revision: 1.6.2.1 $, $Date: 2003/03/13 00:58:36 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	RPM
%define	pnam	Specfile
Summary:	RPM::Specfile - Perl extension for creating RPM Specfiles
Summary(pl):	RPM::Specfile - rozszerzenie Perla do tworzenia plikw spec dla RPM-a
Name:		perl-%{pdir}-%{pnam}
Version:	1.11
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple module for creation of RPM Spec files. Used by cpanflute2 to
turn CPAN tarballs into RPM modules. See the included script
cpanflute2 for usage; documentation coming soon.

%description -l pl
Prosty modu do tworzenia plikw .spec dla RPM-a. Jest uywany przez
cpanflute2 do zamiany paczek CPAN na moduy RPM. Sposb uycia mona
znale w zaczonym skrypcie cpanflute2 - dokumentacja wkrtce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/cpanflute2 $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-RPM-Specfile.spec,v $
Revision 1.6.2.1  2003/03/13 00:58:36  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:52  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/01/24 12:44:05  radek
- version 1.11

Revision 1.3  2002/10/05 12:37:02  ankry
- updated to 1.09 and added cpanflute2 script to examples

Revision 1.2  2002/08/14 23:39:51  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
